org.apache.ignite.spi.collision

## Interface CollisionExternalListener

All Superinterfaces:
  EventListener

    public interface CollisionExternalListener
    extends EventListener

Listener to be set on `CollisionSpi` for notification of external collision events (e.g. job stealing). Once grid receives such notification, it will immediately invoke collision SPI.

### Method Summary

Methods
`void` `onExternalCollision()` Callback invoked by Collision SPI whenever an external collision event occurs.

### Method Detail

#### onExternalCollision

    void onExternalCollision()

Callback invoked by Collision SPI whenever an external collision event occurs.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015